public void drawFahrzeug(Sumo sumo, double[] y_alt, int[] FARBE)
{
      float[] a,b,c,d,e,f,g,h;
  
      double x   = y_alt[0];
      double y   = y_alt[1];
      double phi = y_alt[2];

      stroke(FARBE[0],FARBE[1],FARBE[2]);
      
      a = trans(sumo.PA,x,y,phi);
      b = trans(sumo.PB,x,y,phi);
      c = trans(sumo.PC,x,y,phi);
      d = trans(sumo.PD,x,y,phi);
      e = trans(sumo.PE,x,y,phi);
      f = trans(sumo.PF,x,y,phi);
      g = trans(sumo.PG,x,y,phi);
      h = trans(sumo.PH,x,y,phi);
 
      
      line(a[0],a[1],b[0],b[1]);
      line(b[0],b[1],c[0],c[1]);
      line(c[0],c[1],d[0],d[1]);
      line(d[0],d[1],a[0],a[1]);
      
      line(e[0],e[1],f[0],f[1]);
      line(f[0],f[1],g[0],g[1]);
      line(g[0],g[1],h[0],h[1]);
      line(h[0],h[1],e[0],e[1]);
      
}

//Für Kollisionsberechnung
public void drawFahrzeugFlaeche(Sumo sumo, double[] y_alt, int[] FARBE)
{
      float[] a,b,c,d,e,f,g,h;
  
      double x   = y_alt[0];
      double y   = y_alt[1];
      double phi = y_alt[2];

//      stroke(FARBE[0],FARBE[1],FARBE[2]);
      noStroke();
      fill(FARBE[0],FARBE[1],FARBE[2],127.0f);      
      a = trans(sumo.PA,x,y,phi);
      b = trans(sumo.PB,x,y,phi);
      c = trans(sumo.PC,x,y,phi);
      d = trans(sumo.PD,x,y,phi);
      e = trans(sumo.PE,x,y,phi);
      f = trans(sumo.PF,x,y,phi);
      g = trans(sumo.PG,x,y,phi);
      h = trans(sumo.PH,x,y,phi);
 
      /*
      line(a[0],a[1],b[0],b[1]);
      line(b[0],b[1],c[0],c[1]);
      line(c[0],c[1],d[0],d[1]);
      line(d[0],d[1],a[0],a[1]);
      
      line(e[0],e[1],f[0],f[1]);
      line(f[0],f[1],g[0],g[1]);
      line(g[0],g[1],h[0],h[1]);
      line(h[0],h[1],e[0],e[1]);
      */
      quad(e[0],e[1],f[0],f[1],g[0],g[1],h[0],h[1]);
}
